
From: Gerd Knorr <kraxel@bytesex.org>

The patch below makes function zr36057_init_vfe in
drivers/media/video/zoran_device.c which has no external users static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/zoran_device.c |    5 ++++-
 25-akpm/drivers/media/video/zoran_device.h |    1 -
 2 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/media/video/zoran_device.c~zoran_devicec-make-zr36057_init_vfe-static drivers/media/video/zoran_device.c
--- 25/drivers/media/video/zoran_device.c~zoran_devicec-make-zr36057_init_vfe-static	Fri Nov 19 15:23:45 2004
+++ 25-akpm/drivers/media/video/zoran_device.c	Fri Nov 19 15:23:45 2004
@@ -79,6 +79,9 @@ MODULE_PARM(lml33dpath, "i");
 MODULE_PARM_DESC(lml33dpath,
 		 "Use digital path capture mode (on LML33 cards)");
 
+static void
+zr36057_init_vfe (struct zoran *zr);
+
 /*
  * General Purpose I/O and Guest bus access
  */
@@ -1700,7 +1703,7 @@ zr36057_restart (struct zoran *zr)
  * initialize video front end
  */
 
-void
+static void
 zr36057_init_vfe (struct zoran *zr)
 {
 	u32 reg;
diff -puN drivers/media/video/zoran_device.h~zoran_devicec-make-zr36057_init_vfe-static drivers/media/video/zoran_device.h
--- 25/drivers/media/video/zoran_device.h~zoran_devicec-make-zr36057_init_vfe-static	Fri Nov 19 15:23:45 2004
+++ 25-akpm/drivers/media/video/zoran_device.h	Fri Nov 19 15:23:45 2004
@@ -79,7 +79,6 @@ extern void zoran_set_pci_master(struct 
 				 int set_master);
 extern void zoran_init_hardware(struct zoran *zr);
 extern void zr36057_restart(struct zoran *zr);
-extern void zr36057_init_vfe(struct zoran *zr);
 
 /* i2c */
 extern int decoder_command(struct zoran *zr,
_
